# class KRecentFilesAction | Recent files action. More...
Definition | `#include <kaction.h>`
Inherits | KListAction [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KRecentFilesAction ( const QString& text, int accel, QObject* parent, const char* name = 0, uint maxItems = 10 )
- KRecentFilesAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0, uint maxItems = 10 )
- KRecentFilesAction ( const QString& text, const QIconSet& pix, int accel, QObject* parent, const char* name = 0, uint maxItems = 10 )
- KRecentFilesAction ( const QString& text, const QString& pix, int accel, QObject* parent, const char* name = 0, uint maxItems = 10 )
- KRecentFilesAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0, uint maxItems = 10 )
- KRecentFilesAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0, uint maxItems = 10 )
- KRecentFilesAction ( QObject* parent = 0, const char* name = 0, uint maxItems = 10 )
- virtual ~KRecentFilesAction ()

#### Public Slots

- uint maxItems () const
- void setMaxItems ( uint maxItems )
- void loadEntries ( KConfig* config, QString groupname=QString::null )
- void saveEntries ( KConfig* config, QString groupname=QString::null )
- void addURL ( const KURL& url )
- void removeURL ( const KURL& url )
- void clearURLList ()

#### Signals

- void urlSelected ( const KURL& url )

#### Protected Slots

- void itemSelected ( const QString& string )

## Detailed Description

This class is an action to handle a recent files submenu.

KRecentFilesAction ( const QString& text, int accel, QObject* parent, const char* name = 0, uint maxItems = 10 ) | ### KRecentFilesAction

Parameters:

text | The text that will be displayed.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.
maxItems | The maximum number of files to display

KRecentFilesAction ( const QString& text, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0, uint maxItems = 10 ) | ### KRecentFilesAction

Parameters:

text | The text that will be displayed.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.
maxItems | The maximum number of files to display

KRecentFilesAction ( const QString& text, const QIconSet& pix, int accel, QObject* parent, const char* name = 0, uint maxItems = 10 ) | ### KRecentFilesAction

Parameters:

text | The text that will be displayed.
pix | The icons that go with this action.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.
maxItems | The maximum number of files to display

KRecentFilesAction ( const QString& text, const QString& pix, int accel, QObject* parent, const char* name = 0, uint maxItems = 10 ) | ### KRecentFilesAction

Parameters:

text | The text that will be displayed.
pix | The dynamically loaded icon that goes with this action.
accel | The corresponding keyboard accelerator (shortcut).
parent | This action's parent.
name | An internal name for this action.
maxItems | The maximum number of files to display

KRecentFilesAction ( const QString& text, const QIconSet& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0, uint maxItems = 10 ) | ### KRecentFilesAction

Parameters:

text | The text that will be displayed.
pix | The icons that go with this action.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.
maxItems | The maximum number of files to display

KRecentFilesAction ( const QString& text, const QString& pix, int accel, const QObject* receiver, const char* slot, QObject* parent, const char* name = 0, uint maxItems = 10 ) | ### KRecentFilesAction

Parameters:

text | The text that will be displayed.
pix | The dynamically loaded icon that goes with this action.
accel | The corresponding keyboard accelerator (shortcut).
receiver | The SLOT's parent.
slot | The SLOT to invoke to execute this action.
parent | This action's parent.
name | An internal name for this action.
maxItems | The maximum number of files to display

KRecentFilesAction ( QObject* parent = 0, const char* name = 0, uint maxItems = 10 ) | ### KRecentFilesAction

Parameters:

parent | This action's parent.
name | An internal name for this action.
maxItems | The maximum number of files to display

~KRecentFilesAction () | ### ~KRecentFilesAction

[virtual]

Destructor.

uint maxItems () | ### maxItems

[const slot]

Retrieves the maximum of items in the recent files list.

void setMaxItems ( uint maxItems ) | ### setMaxItems

[slot]

Sets the maximum of items in the recent files list. The default for this value is 10 set in the constructor.

If this value is lesser than the number of items currently in the recent files list the last items are deleted until the number of items are equal to the new maximum.

void loadEntries ( KConfig* config, QString groupname=QString::null ) | ### loadEntries

[slot]

Loads the recent files entries from a given KConfig object. You can provide the name of the group used to load the entries. If the groupname is empty, entries are load from a group called 'RecentFiles'

This method does not effect the active group of KConfig.

void saveEntries ( KConfig* config, QString groupname=QString::null ) | ### saveEntries

[slot]

Saves the current recent files entries to a given KConfig object. You can provide the name of the group used to load the entries. If the groupname is empty, entries are saved to a group called 'RecentFiles'

This method does not effect the active group of KConfig.

void addURL ( const KURL& url ) | ### addURL

[slot]

Add URL to recent files list.

Parameters:

url | The URL of the file

void removeURL ( const KURL& url ) | ### removeURL

[slot]

Remove an URL from the recent files list.

Parameters:

url | The URL of the file

void clearURLList () | ### clearURLList

[slot]

Removes all entries from the recent files list.

void urlSelected ( const KURL& url ) | ### urlSelected

[signal]

This signal gets emited when the user selects an URL.

Parameters:

url | The URL thats the user selected.

void itemSelected ( const QString& string ) | ### itemSelected

[protected slots slot]

- Author: Michael Koch
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.